GEGELATI

Loading...
Searching...
No Matches
Public Member Functions | Protected Member Functions | Protected Attributes | List of all members
TPG::TPGAbstractEngine Class Reference

Abstract Class in charge of managing maps to give a unique ID for vertex and a program of a TPGGraph. More...

`#include <tpgAbstractEngine.h>`

Inheritance diagram for TPG::TPGAbstractEngine:

## Public Member Functions
bool | programIDIsNew (const uint64_t &progID)
| Method to find if the given Program is already in the programID set.

## Protected Member Functions
| TPGAbstractEngine (const TPG::TPGGraph &tpg)
| Constructor for the abstract engine.

## Protected Attributes
const TPG::TPGGraph & | tpg
| Reference to the TPGGraph whose content will be used to fill the maps.
std::set< uint64_t > | programID
| Set of all program ID.
uint64_t | nbActions
| Integer number used during export to associate a unique integer identifier to each TPGAction.

## Detailed Description

Abstract Class in charge of managing maps to give a unique ID for vertex and a program of a TPGGraph.

## Constructor & Destructor Documentation

## ◆ TPGAbstractEngine()

TPG::TPGAbstractEngine::TPGAbstractEngine | ( | const TPG::TPGGraph & | tpg | ) |
| inline protected

Constructor for the abstract engine.

Parameters

  [in] | tpg | const reference to the graph whose content will be used to fill the maps of IDs (vertex and program).

## Member Function Documentation

## ◆ programIDIsNew()

bool TPG::TPGAbstractEngine::programIDIsNew | ( | const uint64_t & | progID | ) |

Method to find if the given Program is already in the programID set.

Returns
  A boolean value indicating whether the returned ID is a new one (true), or one found in the programID map (false).

Copyright or © or Copr. IETR/INSA - Rennes (2021) :

Thomas Bourgoin tbour.nosp@m.goi@.nosp@m.insa-.nosp@m.renn.nosp@m.es.fr (2021)

GEGELATI is an open-source reinforcement learning framework for training artificial intelligence based on Tangled Program Graphs (TPGs).

This software is governed by the CeCILL-C license under French law and abiding by the rules of distribution of free software. You can use, modify and/ or redistribute the software under the terms of the CeCILL-C license as circulated by CEA, CNRS and INRIA at the following URL "http://www.cecill.info".

As a counterpart to the access to the source code and rights to copy, modify and redistribute granted by the license, users are provided only with a limited warranty and the software's author, the holder of the economic rights, and the successive licensors have only limited liability.

In this respect, the user's attention is drawn to the risks associated with loading, using, modifying and/or developing or reproducing the software by the user in light of its specific status of free software, that may mean that it is complicated to manipulate, and that also therefore means that it is reserved for developers and experienced professionals having in-depth computer knowledge. Users are therefore encouraged to load and test the software's suitability as regards their requirements in conditions enabling the security of their systems and/or data to be ensured and, more generally, to use and operate it in the same conditions as regards security.

The fact that you are presently reading this means that you have had knowledge of the CeCILL-C license and that you accept its terms.

## Member Data Documentation

## ◆ nbActions

uint64_t TPG::TPGAbstractEngine::nbActions
| protected

Integer number used during export to associate a unique integer identifier to each TPGAction.

Identifier associated to TPGAction are NOT preserved during multiple printing of a TPGGraph.

The documentation for this class was generated from the following files:

- D:/a/gegelati/gegelati/gegelatilib/include/tpg/tpgAbstractEngine.h
- D:/a/gegelati/gegelati/gegelatilib/src/tpg/tpgAbstractEngine.cpp